<?php
/*
Plugin Name: Member Mambo Privacy
Plugin URI: https://membermambo.de
Description: Dieses spezielle Plugin kann verhindern, daß die Videos von YouTube und Vimeo direkt geladen werden. Vor dem abspielen eines jeden Videos wird ein Datenschutzhinweis angezeigt.
Author: Frank Noack
Author URI: https://membermambo.de
Version: 1.2
*/
require_once('wp-updates-plugin.php');
new WPUpdatesPluginUpdater_2103( 'http://wp-updates.com/api/2/plugin', plugin_basename(__FILE__));

define( 'MMPY_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );
define( 'MMPY_PLUGIN_URL', plugin_dir_url( __FILE__ ) );

	// add admin scripts
add_action( 'admin_enqueue_scripts', 'mmpy_admin_script' );
function mmpy_admin_script() {
    wp_enqueue_style( 'mmpy-admin-style', plugin_dir_url( __FILE__ ) .'/css/mmpy_css_admin.css');
}


	// override single kurs file
function mmpy_single_kurs_template($single_template) {
    global $post;

    if ($post->post_type == 'kurs') {
        $single_template = dirname( __FILE__ ) .'/templates/single-kurs.php';
	}
    return $single_template;
}
add_filter( 'single_template', 'mmpy_single_kurs_template' );

	// override video scripts
function mmpy_footer_script() {?>
    
<style type="text/css">
.kurs_header_without_cookie {
  position: relative;
}
.kurs_header_without_cookie .default_text_warning {
  left: 0;
  margin: 0;
  position: absolute;
  text-align: center;
  width: 100%;
}
.default_play_btn > img {
  cursor: pointer;
}
.default_text_warning {
  top: 48%;
}
.kurs_header_without_cookie > img {
  max-width: 100%;
}
.default_text_warning > p {
  margin-bottom: 5px;
}
.default_text_warning .default_play_btn {
  margin-bottom: 25px;
}

@media (max-width: 767px) {
	.default_text_warning > p {
	  font-size: 12px;
	}
	.default_text_warning {
	  top: 20%;
	}
}
</style>	
	
<script type="text/javascript">
	jQuery(document).ready(function(){
		jQuery('.default_play_btn a').click(function(e){
			e.preventDefault();
			
			var url = window.location.href; 
			var url_to_load = '';
			
			if (url.indexOf('?') == -1) {
			   url_to_load = url+'?vcookie=yes';
			}
			else{
				url_to_load = url+'&vcookie=yes';
			}
			window.location.href = url_to_load;
		});	
	
		jQuery(".trigger_module_video").on('click', function (e) {
			e.stopPropagation();
			if (!jQuery(e.target).hasClass('lecture__item__link__progress')) {
				var next_video_no = '';
				var last_video = jQuery(this).data('last_video');
				var video_order = jQuery(this).data('video_order');
				var video_type = jQuery(this).data('video_type');
				var video_id = jQuery(this).data('video_id');
				var module_id = jQuery(this).data('module_id');
				var video_poster = jQuery(this).data('video_poster');
				
				if(last_video == 'no'){next_video_no = parseInt(video_order) + 1;}else{next_video_no = '1';}
				
				var url = window.location.href.split('?')[0]; 
				if(video_poster != ''){
					var url_to_load = url+'?vtype='+video_type+'&vid='+video_id+'&mid='+module_id+'&vnext='+next_video_no+'&vposter='+video_poster;
				}
				else{
					var url_to_load = url+'?vtype='+video_type+'&vid='+video_id+'&mid='+module_id+'&vnext='+next_video_no;
				}
				window.location.href = url_to_load;
			}
		});
		
		jQuery('.next_module_video_trigger').click(function(e){
			e.preventDefault();
			var video_to_play = jQuery('#input_next_video').val();
			var video_to_play_a = jQuery(".mm_module_area").find("[data-video_order='" + video_to_play + "']");
			var video_type = jQuery(video_to_play_a).data('video_type');
			var video_id = jQuery(video_to_play_a).data('video_id');
			var last_video = jQuery(video_to_play_a).data('last_video');
			var video_order = jQuery(video_to_play_a).data('video_order');
			var module_id = jQuery(video_to_play_a).data('module_id');
			var video_poster = jQuery(video_to_play_a).data('video_poster');
			
			// update input_next_video
			if(last_video == 'no'){next_video_no = parseInt(video_order) + 1;}else{next_video_no = '1';}
			
			var url = window.location.href.split('?')[0]; 
			if(video_poster != ''){
				var url_to_load = url+'?vtype='+video_type+'&vid='+video_id+'&mid='+module_id+'&vnext='+next_video_no+'&vposter='+video_poster;
			}
			else{
				var url_to_load = url+'?vtype='+video_type+'&vid='+video_id+'&mid='+module_id+'&vnext='+next_video_no;
			}
			window.location.href = url_to_load;
		});	
		
			// trigger simple video
		jQuery('.trigger_play_video').click(function(e){
			e.preventDefault();
			var next_video_no = '';
			var last_video = jQuery(this).data('last_video');
			var video_order = jQuery(this).data('video_order');
			var video_type = jQuery(this).data('video_type');
			var video_id = jQuery(this).data('video_id');
			
			// update input_next_video
			if(last_video == 'no'){next_video_no = parseInt(video_order) + 1;}else{next_video_no = '1';}
			
			var url = window.location.href.split('?')[0]; 
			var url_to_load = url+'?vtype='+video_type+'&vid='+video_id+'&vorder='+video_order+'&vnext='+next_video_no;
			window.location.href = url_to_load;
			
		});	
		
			// next simple video trigger
		jQuery('.next_video_trigger').click(function(e){
			e.preventDefault();
			var video_to_play = jQuery('#input_next_video').val();
			var video_to_play_a = jQuery(".mbr-editable-content").find("[data-video_order='" + video_to_play + "']");
			var video_type = jQuery(video_to_play_a).data('video_type');
			var video_id = jQuery(video_to_play_a).data('video_id');
			var last_video = jQuery(video_to_play_a).data('last_video');
			var video_order = jQuery(video_to_play_a).data('video_order');
			
			// update input_next_video
			if(last_video == 'no'){next_video_no = parseInt(video_order) + 1;}else{next_video_no = '1';}
			
			var url = window.location.href.split('?')[0]; 
			var url_to_load = url+'?vtype='+video_type+'&vid='+video_id+'&vorder='+video_order+'&vnext='+next_video_no;
			window.location.href = url_to_load;
			
			
		});	
	})
</script>
<?php	
}
add_action( 'wp_footer', 'mmpy_footer_script', 100);

?>